    import UndoManager from 'yjs/src/Util/UndoManager.js'

public class | source

# UndoManager

Saves a history of locally applied operations. The UndoManager handles the undoing and redoing of locally created changes.

## Constructor Summary

Public Constructor
public | constructor (scope: YType, options: Object) |

## Member Summary

Public Members
public | options : * |
public | y : * |

## Method Summary

Public Methods
public | redo (): * Redo the last locally created change. |
public | undo (): * Undo the last locally created change. |

## Public Constructors

### public constructor(scope: YType, options: Object) source

#### Params:

Name | Type | Attribute | Description
scope | YType |  | The scope on which to listen for changes.
options | Object |  | Optionally provided configuration.

## Public Members

### public options: * source

### public y: * source

## Public Methods

### public redo(): * source

Redo the last locally created change.

#### Return:

*

### public undo(): * source

Undo the last locally created change.

#### Return:

*